## haskell-hlist 0.2

=== debian/changelog ===
haskell-hlist (1:0.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Joachim Breitner ]
  * Upload package as released on cabal, bump epoch 
  * Depend on ghc6 (>= 6.12.1-13)
  * Patch: Add TypeOperators

 -- Joachim Breitner <nomeata@debian.org>  Fri, 05 Mar 2010 12:47:38 +0100

haskell-hlist (2.0+darcs20070929-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Vcs-Darcs: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7
  * Remove hugs package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 16:17:03 +0100

haskell-hlist (2.0+darcs20070929-1.1) unstable; urgency=low

  * Adopt for the Debian Haskell Group, thanks to Kaol for his maintenance.
  * Change packaging to current common practice
  * Do not depend on libghc6-base-dev (Closes: #529022) 
  * Rebuilding will closes: #520308

 -- Joachim Breitner <nomeata@debian.org>  Thu, 30 Jul 2009 19:52:30 +0200

haskell-hlist (2.0+darcs20070929-1) unstable; urgency=low

  * New upstream release
  * Built for ghc 6.8.2. (Closes: #445759)
  * Use cdbs and haskell-devscripts instead of haskell-utils.
  * Leave examples uninstalled as they don't seem to be relevant to the
    current HList version.
  * Added a -prof package for ghc6 and a hugs library package.

 -- Kari Pahula <kaol@debian.org>  Wed, 23 Jan 2008 11:49:23 +0200

haskell-hlist (2.0+darcs20070316-2) unstable; urgency=low

  * Rebuilt and updated dependencies for ghc 6.6.1

 -- Kari Pahula <kaol@debian.org>  Mon, 14 May 2007 15:05:09 +0300

haskell-hlist (2.0+darcs20070316-1) unstable; urgency=low

  * Initial release (Closes: #413826)
  * Used Ian Lynagh's Generic Haskell cabal library debian/rules v0.6

 -- Kari Pahula <kaol@debian.org>  Fri, 20 Apr 2007 19:07:22 +0300
