=== debian/control ===
Source: haskell-hlist
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Standards-Version: 3.8.4
Build-Depends:
 cdbs,
 debhelper (>= 7),
 haskell-devscripts (>= 0.7),
 ghc6 (>= 6.12.1-13),
 ghc6-prof,
Homepage: http://homepages.cwi.nl/~ralf/HList/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hlist
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hlist

Package: libghc6-hlist-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell library for strongly typed heterogeneous collections
 A heterogeneous collection is a datatype that is capable of storing
 data of different types, while providing operations for look-up,
 update, iteration, and others. There are various kinds of
 heterogeneous collections, differing in representation, invariants,
 and access operations.
 .
 HList is a Haskell library providing strongly typed heterogeneous
 collections including extensible records.

Package: libghc6-hlist-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskell library for strongly typed heterogeneous collections
 A heterogeneous collection is a datatype that is capable of storing
 data of different types, while providing operations for look-up,
 update, iteration, and others. There are various kinds of
 heterogeneous collections, differing in representation, invariants,
 and access operations.
 .
 HList is a Haskell library providing strongly typed heterogeneous
 collections including extensible records.
