## haskell-hlist 2.0+darcs20070929

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 #
 
 hugs:
-	hugs -98 +o ${hugs-favourite}
+	hugs -98 +o -isrc ${hugs-favourite}
 
 
 ##############################################################################
@@ -180,3 +180,8 @@
 
 
 ##############################################################################
+
+commit:
+	darcs record -a -m "Committed from the Makefile"
+	darcs push -a
+
